package com.p3.bewoplaner.page.contacts;

import com.p3.bewoplaner.model.Group;
import com.p3.bewoplaner.model.Message;
import com.p3.bewoplaner.page.mvp.MVPView;

import android.support.annotation.StringRes;

import java.util.ArrayList;

/**
 * Created by imarneanu on 2/20/17.
 */
interface ContactsView extends MVPView {

    void setCallback(Callback setCallback);

    void showProgress();

    void hideProgress();

    void setGroups(ArrayList<Group> groups);

    void showError(@StringRes int message);

    interface Callback {
        void storeGroupLocally(long groupId, Message message);

        void loadGroups();

        void loadGroupsFromDB();

        void loadGroupsContainingName(String name);
    }
}
